import { ARIAPropertyDefinition } from 'aria-query';
declare namespace _default {
    namespace tag_option_deprecated {
        const code: string;
        const message: string;
    }
    function unused_export_let(component: string, property: string): {
        code: string;
        message: string;
    };
    namespace module_script_reactive_declaration {
        const code_1: string;
        export { code_1 as code };
        const message_1: string;
        export { message_1 as message };
    }
    namespace non_top_level_reactive_declaration {
        const code_2: string;
        export { code_2 as code };
        const message_2: string;
        export { message_2 as message };
    }
    function module_script_variable_reactive_declaration(names: string[]): {
        code: string;
        message: string;
    };
    function missing_declaration(name: string, has_script: boolean): {
        code: string;
        message: string;
    };
    namespace missing_custom_element_compile_options {
        const code_3: string;
        export { code_3 as code };
        const message_3: string;
        export { message_3 as message };
    }
    function css_unused_selector(selector: string): {
        code: string;
        message: string;
    };
    namespace empty_block {
        const code_4: string;
        export { code_4 as code };
        const message_4: string;
        export { message_4 as message };
    }
    function reactive_component(name: string): {
        code: string;
        message: string;
    };
    function component_name_lowercase(name: string): {
        code: string;
        message: string;
    };
    namespace avoid_is {
        const code_5: string;
        export { code_5 as code };
        const message_5: string;
        export { message_5 as message };
    }
    function invalid_html_attribute(name: string, suggestion: string): {
        code: string;
        message: string;
    };
    function a11y_aria_attributes(name: string): {
        code: string;
        message: string;
    };
    function a11y_incorrect_attribute_type(schema: ARIAPropertyDefinition, attribute: string): {
        code: string;
        message: string;
    };
    function a11y_unknown_aria_attribute(attribute: string, suggestion?: string): {
        code: string;
        message: string;
    };
    function a11y_hidden(name: string): {
        code: string;
        message: string;
    };
    function a11y_misplaced_role(name: string): {
        code: string;
        message: string;
    };
    function a11y_unknown_role(role: string | boolean, suggestion?: string): {
        code: string;
        message: string;
    };
    function a11y_no_abstract_role(role: string | boolean): {
        code: string;
        message: string;
    };
    function a11y_no_redundant_roles(role: string | boolean): {
        code: string;
        message: string;
    };
    function a11y_no_static_element_interactions(element: string, handlers: string[]): {
        code: string;
        message: string;
    };
    function a11y_no_interactive_element_to_noninteractive_role(role: string | boolean, element: string): {
        code: string;
        message: string;
    };
    function a11y_no_noninteractive_element_interactions(element: string): {
        code: string;
        message: string;
    };
    function a11y_no_noninteractive_element_to_interactive_role(role: string | boolean, element: string): {
        code: string;
        message: string;
    };
    function a11y_role_has_required_aria_props(role: string, props: string[]): {
        code: string;
        message: string;
    };
    function a11y_role_supports_aria_props(attribute: string, role: string, is_implicit: boolean, name: string): {
        code: string;
        message: string;
    };
    namespace a11y_accesskey {
        const code_6: string;
        export { code_6 as code };
        const message_6: string;
        export { message_6 as message };
    }
    namespace a11y_autofocus {
        const code_7: string;
        export { code_7 as code };
        const message_7: string;
        export { message_7 as message };
    }
    namespace a11y_misplaced_scope {
        const code_8: string;
        export { code_8 as code };
        const message_8: string;
        export { message_8 as message };
    }
    namespace a11y_positive_tabindex {
        const code_9: string;
        export { code_9 as code };
        const message_9: string;
        export { message_9 as message };
    }
    function a11y_invalid_attribute(href_attribute: string, href_value: string): {
        code: string;
        message: string;
    };
    function a11y_missing_attribute(name: string, article: string, sequence: string): {
        code: string;
        message: string;
    };
    function a11y_autocomplete_valid(type: string | true, value: string | true): {
        code: string;
        message: string;
    };
    namespace a11y_img_redundant_alt {
        const code_10: string;
        export { code_10 as code };
        const message_10: string;
        export { message_10 as message };
    }
    function a11y_interactive_supports_focus(role: string): {
        code: string;
        message: string;
    };
    namespace a11y_label_has_associated_control {
        const code_11: string;
        export { code_11 as code };
        const message_11: string;
        export { message_11 as message };
    }
    namespace a11y_media_has_caption {
        const code_12: string;
        export { code_12 as code };
        const message_12: string;
        export { message_12 as message };
    }
    function a11y_distracting_elements(name: string): {
        code: string;
        message: string;
    };
    namespace a11y_structure_immediate {
        const code_13: string;
        export { code_13 as code };
        const message_13: string;
        export { message_13 as message };
    }
    namespace a11y_structure_first_or_last {
        const code_14: string;
        export { code_14 as code };
        const message_14: string;
        export { message_14 as message };
    }
    function a11y_mouse_events_have_key_events(event: string, accompanied_by: string): {
        code: string;
        message: string;
    };
    namespace a11y_click_events_have_key_events {
        const code_15: string;
        export { code_15 as code };
        const message_15: string;
        export { message_15 as message };
    }
    function a11y_missing_content(name: string): {
        code: string;
        message: string;
    };
    namespace a11y_no_noninteractive_tabindex {
        const code_16: string;
        export { code_16 as code };
        const message_16: string;
        export { message_16 as message };
    }
    namespace a11y_aria_activedescendant_has_tabindex {
        const code_17: string;
        export { code_17 as code };
        const message_17: string;
        export { message_17 as message };
    }
    namespace redundant_event_modifier_for_touch {
        const code_18: string;
        export { code_18 as code };
        const message_18: string;
        export { message_18 as message };
    }
    namespace redundant_event_modifier_passive {
        const code_19: string;
        export { code_19 as code };
        const message_19: string;
        export { message_19 as message };
    }
    function invalid_rest_eachblock_binding(rest_element_name: string): {
        code: string;
        message: string;
    };
    namespace avoid_mouse_events_on_document {
        const code_20: string;
        export { code_20 as code };
        const message_20: string;
        export { message_20 as message };
    }
    namespace illegal_attribute_character {
        const code_21: string;
        export { code_21 as code };
        const message_21: string;
        export { message_21 as message };
    }
}
export default _default;
