import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { Directive } from '../../interfaces.js';
import Expression from './shared/Expression.js';
/** @extends Node<'Action'> */
export default class Action extends Node<"Action", INode> {
    /**
     * @param  component  *
     * @param  parent  *
     * @param  scope  *
     * @param  info  undefined
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: Directive);
    /** @type {string} */
    name: string;
    /** @type {Expression} */
    expression: Expression;
    /** @type {boolean} */
    uses_context: boolean;
    /** @type {TemplateScope} */
    template_scope: TemplateScope;
}
import Node from './shared/Node.js';
