import Element from './Element.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import { INode } from './interfaces.js';
import Expression from './shared/Expression.js';
import Text from './Text.js';
/** @extends Node<'Attribute' | 'Spread', Element> */
export default class Attribute extends Node<"Attribute" | "Spread", Element> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: TemplateNode);
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {string} */
    name: string;
    /** @type {boolean} */
    is_spread: boolean;
    /** @type {boolean} */
    is_true: boolean;
    /** @type {boolean} */
    is_static: boolean;
    /** @type {Expression} */
    expression: Expression;
    /** @type {Array<Text | Expression>} */
    chunks: Array<Text | Expression>;
    /** @type {Set<string>} */
    dependencies: Set<string>;
    get_dependencies(): string[];
    /** @param {any} block */
    get_value(block: any): any;
    get_static_value(): string | true;
    should_cache(): boolean;
}
import Node from './shared/Node.js';
