import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import { Context } from './shared/Context.js';
import { Node } from 'estree';
import PendingBlock from './PendingBlock.js';
import ThenBlock from './ThenBlock.js';
import CatchBlock from './CatchBlock.js';
/** @extends Node<'AwaitBlock'> */
export default class AwaitBlock extends Node<"AwaitBlock", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: TemplateNode);
    /** @type {Expression} */
    expression: Expression;
    /** @type {Context[]} */
    then_contexts: Context[];
    /** @type {Context[]} */
    catch_contexts: Context[];
    /** @type {Node | null} */
    then_node: Node | null;
    /** @type {Node | null} */
    catch_node: Node | null;
    /** @type {PendingBlock} */
    pending: PendingBlock;
    /** @type {ThenBlock} */
    then: ThenBlock;
    /** @type {CatchBlock} */
    catch: CatchBlock;
    /** @type {Map<string, Node>} */
    context_rest_properties: Map<string, Node>;
}
import Node from './shared/Node.js';
