import { INode } from './interfaces.js';
import Component from '../Component.js';
import Element from './Element.js';
import InlineComponent from './InlineComponent.js';
import Window from './Window.js';
import Document from './Document.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import { Node } from 'estree';
/** @extends Node<'Binding'> */
export default class Binding extends Node<"Binding", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Element | InlineComponent | Window | Document, scope: TemplateScope, info: TemplateNode);
    /** @type {string} */
    name: string;
    /** @type {Expression} */
    expression: Expression;
    /** @type {Node} */
    raw_expression: Node;
    /** @type {boolean} */
    is_contextual: boolean;
    /** @type {boolean} */
    is_readonly: boolean;
    is_readonly_media_attribute(): boolean;
    /** @param {TemplateScope} scope */
    validate_binding_rest_properties(scope: TemplateScope): void;
}
import Node from './shared/Node.js';
