import { INode, INodeAllowConstTag } from './interfaces.js';
import Component from '../Component.js';
import TemplateScope from './shared/TemplateScope.js';
import { ConstTag } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import { Context } from './shared/Context.js';
import { Node } from 'estree';
/** @extends Node<'ConstTag'> */
export default class ConstTag extends Node<"ConstTag", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: INodeAllowConstTag, scope: TemplateScope, info: ConstTag);
    /** @type {Expression} */
    expression: Expression;
    /** @type {Context[]} */
    contexts: Context[];
    /** @type {ConstTag} */
    node: ConstTag;
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {Map<string, Node>} */
    context_rest_properties: Map<string, Node>;
    /** @type {Set<string>} */
    assignees: Set<string>;
    /** @type {Set<string>} */
    dependencies: Set<string>;
    parse_expression(): void;
}
import Node from './shared/Node.js';
