import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { Element } from '../../interfaces.js';
import EventHandler from './EventHandler.js';
import Binding from './Binding.js';
import Action from './Action.js';
/** @extends Node<'Document'> */
export default class Document extends Node<"Document", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: Element);
    /** @type {EventHandler[]} */
    handlers: EventHandler[];
    /** @type {Binding[]} */
    bindings: Binding[];
    /** @type {Action[]} */
    actions: Action[];
    /** @private */
    private validate;
}
import Node from './shared/Node.js';
