import Component from '../Component.js';
import { Node } from 'estree';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import { Context } from './shared/Context.js';
import ConstTag from './ConstTag.js';
import ElseBlock from './ElseBlock.js';
import Action from './Action.js';
import Animation from './Animation.js';
import Attribute from './Attribute.js';
import AwaitBlock from './AwaitBlock.js';
import Binding from './Binding.js';
import Body from './Body.js';
import CatchBlock from './CatchBlock.js';
import Class from './Class.js';
import Comment from './Comment.js';
import DebugTag from './DebugTag.js';
import Document from './Document.js';
import Element from './Element.js';
import EventHandler from './EventHandler.js';
import Fragment from './Fragment.js';
import Head from './Head.js';
import IfBlock from './IfBlock.js';
import InlineComponent from './InlineComponent.js';
import KeyBlock from './KeyBlock.js';
import Let from './Let.js';
import MustacheTag from './MustacheTag.js';
import Options from './Options.js';
import PendingBlock from './PendingBlock.js';
import RawMustacheTag from './RawMustacheTag.js';
import Slot from './Slot.js';
import SlotTemplate from './SlotTemplate.js';
import StyleDirective from './StyleDirective.js';
import Tag from './shared/Tag.js';
import Text from './Text.js';
import ThenBlock from './ThenBlock.js';
import Title from './Title.js';
import Transition from './Transition.js';
import Window from './Window.js';
/** @extends AbstractBlock<'EachBlock'> */
export default class EachBlock extends AbstractBlock<"EachBlock"> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node, scope: TemplateScope, info: TemplateNode);
    /** @type {Expression} */
    expression: Expression;
    /** @type {Node} */
    context_node: Node;
    /** @type {string} */
    iterations: string;
    /** @type {string} */
    index: string;
    /** @type {string} */
    context: string;
    /** @type {Expression} */
    key: Expression;
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {Context[]} */
    contexts: Context[];
    /** @type {ConstTag[]} */
    const_tags: ConstTag[];
    /** @type {boolean} */
    has_animation: boolean;
    /** */
    has_binding: boolean;
    /** */
    has_index_binding: boolean;
    /** @type {Map<string, Node>} */
    context_rest_properties: Map<string, Node>;
    /** @type {ElseBlock} */
    else: ElseBlock;
    children: (Action | Animation | Attribute | AwaitBlock | Binding | Body | CatchBlock | Class | Comment | DebugTag | Document | EachBlock | Element | ElseBlock | EventHandler | Fragment | Head | IfBlock | InlineComponent | KeyBlock | Let | MustacheTag | Options | PendingBlock | RawMustacheTag | Slot | SlotTemplate | StyleDirective | Tag<"MustacheTag" | "RawMustacheTag"> | Text | ThenBlock | Title | Transition | Window)[];
}
import AbstractBlock from './shared/AbstractBlock.js';
import ElseBlock from './ElseBlock.js';
