import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import { Identifier } from 'estree';
/** @extends Node<'EventHandler'> */
export default class EventHandler extends Node<"EventHandler", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  template_scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, template_scope: TemplateScope, info: TemplateNode);
    /** @type {string} */
    name: string;
    /** @type {Set<string>} */
    modifiers: Set<string>;
    /** @type {Expression} */
    expression: Expression;
    /** @type {Identifier} */
    handler_name: Identifier;
    /** */
    uses_context: boolean;
    /** */
    can_make_passive: boolean;
    /** @returns {boolean} */
    get reassigned(): boolean;
}
import Node from './shared/Node.js';
