import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import { INode } from './interfaces.js';
import Expression from './shared/Expression.js';
import ElseBlock from './ElseBlock.js';
import ConstTag from './ConstTag.js';
/** @extends AbstractBlock<'IfBlock'> */
export default class IfBlock extends AbstractBlock<"IfBlock"> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: TemplateNode);
    /** @type {Expression} */
    expression: Expression;
    /** @type {ElseBlock} */
    else: ElseBlock;
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {ConstTag[]} */
    const_tags: ConstTag[];
}
import AbstractBlock from './shared/AbstractBlock.js';
