import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
import Binding from './Binding.js';
import EventHandler from './EventHandler.js';
import Attribute from './Attribute.js';
/** @extends Node<'InlineComponent'> */
export default class InlineComponent extends Node<"InlineComponent", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: TemplateNode);
    /** @type {string} */
    name: string;
    /** @type {Expression} */
    expression: Expression;
    /** @type {Binding[]} */
    bindings: Binding[];
    /** @type {EventHandler[]} */
    handlers: EventHandler[];
    /** @type {Attribute[]} */
    css_custom_properties: Attribute[];
    /** @type {INode[]} */
    children: INode[];
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {string} */
    namespace: string;
    /** @type {Attribute[]} */
    let_attributes: Attribute[];
    get slot_template_name(): string;
}
import Node from './shared/Node.js';
import Attribute from './Attribute.js';
