import Component from '../Component.js';
import { INode } from './interfaces.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Attribute from './Attribute.js';
/** @extends Element */
export default class Slot extends Element {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: INode, scope: TemplateScope, info: TemplateNode);
    /** @type {'Slot'} */
    type: 'Slot';
    /** @type {string} */
    slot_name: string;
    /** @type {Map<string, Attribute>} */
    values: Map<string, Attribute>;
}
import Element from './Element.js';
