import { INode } from './interfaces.js';
import Component from '../Component.js';
import TemplateScope from './shared/TemplateScope.js';
import Let from './Let.js';
import ConstTag from './ConstTag.js';
import Attribute from './Attribute.js';
/** @extends Node<'SlotTemplate'> */
export default class SlotTemplate extends Node<"SlotTemplate", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: INode, scope: TemplateScope, info: any);
    /** @type {TemplateScope} */
    scope: TemplateScope;
    /** @type {INode[]} */
    children: INode[];
    /** @type {Let[]} */
    lets: Let[];
    /** @type {ConstTag[]} */
    const_tags: ConstTag[];
    /** @type {Attribute} */
    slot_attribute: Attribute;
    /** @type {string} */
    slot_template_name: string;
    validate_slot_template_placement(): void;
}
import Node from './shared/Node.js';
