import { INode } from './interfaces.js';
import Component from '../Component.js';
import Node from './shared/Node.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
/** @extends Node<'StyleDirective'> */
export default class StyleDirective extends Node<"StyleDirective", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, scope: TemplateScope, info: TemplateNode);
    /** @type {string} */
    name: string;
    /** @type {Set<string>} */
    modifiers: Set<string>;
    /** @type {Expression} */
    expression: Expression;
    /** @type {boolean} */
    should_cache: boolean;
    get important(): boolean;
}
import Node from './shared/Node.js';
