import { INode } from './interfaces.js';
import Component from '../Component.js';
import Element from './Element.js';
import TemplateScope from './shared/TemplateScope.js';
import { TemplateNode } from '../../interfaces.js';
import Expression from './shared/Expression.js';
/** @extends Node<'Transition'> */
export default class Transition extends Node<"Transition", INode> {
    /**
     * @param  component
     * @param  parent
     * @param  scope
     * @param  info
     */
    constructor(component: Component, parent: Element, scope: TemplateScope, info: TemplateNode);
    /** @type {string} */
    name: string;
    /** @type {string} */
    directive: string;
    /** @type {Expression} */
    expression: Expression;
    /** @type {boolean} */
    is_local: boolean;
}
import Node from './shared/Node.js';
