import { Pattern, Node, Identifier, Expression, PrivateIdentifier } from 'estree';
import TemplateScope from './TemplateScope.js';
import Component from '../../Component.js';
/**
 * @param  params
 */
export function unpack_destructuring({ contexts, node, modifier, default_modifier, scope, component, context_rest_properties, in_rest_element }: {
    contexts: Context[];
    node: Pattern;
    modifier?: DestructuredVariable['modifier'];
    default_modifier?: DestructuredVariable['default_modifier'];
    scope: TemplateScope;
    component: Component;
    context_rest_properties: Map<string, Node>;
    in_rest_element?: boolean;
}): void;
export type Context = DestructuredVariable | ComputedProperty;
export type ComputedProperty = {
    type: 'ComputedProperty';
    property_name: Identifier;
    key: Expression | PrivateIdentifier;
};
export type DestructuredVariable = {
    type: 'DestructuredVariable';
    key: Identifier;
    name?: string;
    modifier: (node: Node) => Node;
    default_modifier: (node: Node, to_ctx: (name: string) => Node) => Node;
};
