import Component from '../../Component.js';
import { INode } from '../interfaces.js';
import TemplateScope from './TemplateScope.js';
import { Node } from 'estree';
import { Scope } from '../../utils/scope.js';
import Block from '../../render_dom/Block.js';
export default class Expression {
    /**
     * @param  component  *
     * @param  owner  *
     * @param  template_scope  *
     * @param  info  *
     * @param  [lazy]  undefined
     */
    constructor(component: Component, owner: INode, template_scope: TemplateScope, info: Node, lazy?: boolean);
    /** @type {'Expression'} */
    type: 'Expression';
    /** @type {Component} */
    component: Component;
    /** @type {INode} */
    owner: INode;
    /** @type {Node} */
    node: Node;
    /** @type {Set<string>} */
    references: Set<string>;
    /** @type {Set<string>} */
    dependencies: Set<string>;
    /** @type {Set<string>} */
    contextual_dependencies: Set<string>;
    /** @type {TemplateScope} */
    template_scope: TemplateScope;
    /** @type {Scope} */
    scope: Scope;
    /** @type {WeakMap<Node, Scope>} */
    scope_map: WeakMap<Node, Scope>;
    /** @type {Array<Node | Node[]>} */
    declarations: Array<Node | Node[]>;
    /** */
    uses_context: boolean;
    /** @type {Node} */
    manipulated: Node;
    dynamic_dependencies(): string[];
    dynamic_contextual_dependencies(): string[];
    /**
     * @param  [block]
     * @param  [ctx]
     */
    manipulate(block?: Block, ctx?: string | void): Node;
}
