import { INode } from '../interfaces.js';
import Component from '../../Component.js';
import { TemplateNode } from '../../../interfaces.js';
import Attribute from '../Attribute.js';
/**
 */
export default class Node<Type extends string, Parent extends INode = INode> {
    /**
     * @param  component
     * @param  parent
     * @param  _scope
     * @param  info
     */
    constructor(component: Component, parent: Node<any, INode>, _scope: any, info: TemplateNode);
    /**
     * @readonly
     * @type {number}
     */
    readonly start: number;
    /**
     * @readonly
     * @type {number}
     */
    readonly end: number;
    /**
     * @readonly
     * @type {Component}
     */
    readonly component: Component;
    /**
     * @readonly
     * @type {Parent}
     */
    readonly parent: Parent;
    /**
     * @readonly
     * @type {Type}
     */
    readonly type: Type;
    /** @type {INode} */
    prev: INode;
    /** @type {INode} */
    next: INode;
    /** @type {boolean} */
    can_use_innerhtml: boolean;
    /** @type {boolean} */
    is_static_content: boolean;
    /** @type {string} */
    var: string;
    /** @type {Attribute[]} */
    attributes: Attribute[];
    cannot_use_innerhtml(): void;
    not_static_content(): void;
    /** @param {RegExp} selector */
    find_nearest(selector: RegExp): any;
    /** @param {string} name */
    get_static_attribute_value(name: string): string | true;
    /** @param {string} type */
    has_ancestor(type: string): any;
}
