import EachBlock from '../EachBlock';
import ThenBlock from '../ThenBlock';
import CatchBlock from '../CatchBlock';
import InlineComponent from '../InlineComponent';
import Element from '../Element';
import SlotTemplate from '../SlotTemplate';
import ConstTag from '../ConstTag';
export default class TemplateScope {
    /** @param {TemplateScope} [parent]  undefined */
    constructor(parent?: TemplateScope);
    /**
     * @typedef {EachBlock
     * 	| ThenBlock
     * 	| CatchBlock
     * 	| InlineComponent
     * 	| Element
     * 	| SlotTemplate
     * 	| ConstTag} NodeWithScope
     */
    /** @type {Set<string>} */
    names: Set<string>;
    /** @type {Map<string, Set<string>>} */
    dependencies_for_name: Map<string, Set<string>>;
    /** @type {Map<string, NodeWithScope>} */
    owners: Map<string, CatchBlock | ConstTag | EachBlock | Element | InlineComponent | SlotTemplate | ThenBlock>;
    /** @type {TemplateScope} */
    parent: TemplateScope;
    /**
     * @param  name
     * @param  dependencies
     * @param  owner
     */
    add(name: any, dependencies: Set<string>, owner: any): TemplateScope;
    child(): TemplateScope;
    /** @param {string} name */
    is_top_level(name: string): any;
    /**
     * @param  name
     * @returns 
     */
    get_owner(name: string): CatchBlock | ConstTag | EachBlock | Element | InlineComponent | SlotTemplate | ThenBlock;
    /** @param {string} name */
    is_let(name: string): boolean;
    /** @param {string} name */
    is_await(name: string): boolean;
    /** @param {string} name */
    is_const(name: string): boolean;
}
