import AwaitBlock from '../../nodes/AwaitBlock.js';
import Renderer from '../Renderer.js';
import Block from '../Block.js';
import Wrapper from './shared/Wrapper.js';
import { Identifier, Literal, Node } from 'estree';
import PendingBlock from '../../nodes/PendingBlock.js';
import ThenBlock from '../../nodes/ThenBlock.js';
import CatchBlock from '../../nodes/CatchBlock.js';
import Fragment from './Fragment.js';
import { Context } from '../../nodes/shared/Context.js';
/** @extends Wrapper<AwaitBlock> */
export default class AwaitBlockWrapper extends Wrapper<AwaitBlock> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: AwaitBlock, strip_whitespace: boolean, next_sibling: Wrapper);
    /** @type {AwaitBlockBranch} */
    pending: AwaitBlockBranch;
    /** @type {AwaitBlockBranch} */
    then: AwaitBlockBranch;
    /** @type {AwaitBlockBranch} */
    catch: AwaitBlockBranch;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
}
import Wrapper from './shared/Wrapper.js';
/** @extends Wrapper<PendingBlock | ThenBlock | CatchBlock> */
declare class AwaitBlockBranch extends Wrapper<CatchBlock | PendingBlock | ThenBlock> {
    /**
     * @param  status
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(status: "pending" | "catch" | "then", renderer: Renderer, block: Block, parent: AwaitBlockWrapper, node: PendingBlock | ThenBlock | CatchBlock, strip_whitespace: boolean, next_sibling: Wrapper);
    
    /** @type {Block} */
    block: Block;
    /** @type {Fragment} */
    fragment: Fragment;
    /** @type {boolean} */
    is_dynamic: boolean;
    var: any;
    /** @type {Status} */
    status: "pending" | "catch" | "then";
    /** @type {string} */
    value: string;
    /** @type {Literal} */
    value_index: Literal;
    /** @type {Context[]} */
    value_contexts: Context[];
    /** @type {boolean} */
    is_destructured: boolean;
    /**
     * @param  node
     * @param  contexts
     */
    add_context(node: Node | null, contexts: Context[]): void;
    /**
     * @param  node
     * @returns 
     */
    has_consts(node: PendingBlock | ThenBlock | CatchBlock): node is CatchBlock | ThenBlock;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    render_get_context(): void;
}
import CatchBlock from '../../nodes/CatchBlock.js';
import ThenBlock from '../../nodes/ThenBlock.js';
export {};
