import index from './index.js';
import Block from '../../Block.js';
import Attribute from '../../../nodes/Attribute.js';
import { Identifier, Node, Property, CatchClause, ClassDeclaration, ClassExpression, ClassBody, ArrayExpression, ArrowFunctionExpression, AssignmentExpression, AwaitExpression, BinaryExpression, SimpleCallExpression, NewExpression, ChainExpression, ConditionalExpression, FunctionExpression, ImportExpression, SimpleLiteral, RegExpLiteral, BigIntLiteral, LogicalExpression, MemberExpression, MetaProperty, ObjectExpression, SequenceExpression, TaggedTemplateExpression, TemplateLiteral, ThisExpression, UnaryExpression, UpdateExpression, YieldExpression, FunctionDeclaration, MethodDefinition, ImportDeclaration, ExportNamedDeclaration, ExportDefaultDeclaration, ExportAllDeclaration, ImportSpecifier, ImportDefaultSpecifier, ImportNamespaceSpecifier, ExportSpecifier, ObjectPattern, ArrayPattern, RestElement, AssignmentPattern, PrivateIdentifier, Program, PropertyDefinition, SpreadElement, ExpressionStatement, BlockStatement, StaticBlock, EmptyStatement, DebuggerStatement, WithStatement, ReturnStatement, LabeledStatement, BreakStatement, ContinueStatement, IfStatement, SwitchStatement, ThrowStatement, TryStatement, WhileStatement, DoWhileStatement, ForStatement, ForInStatement, ForOfStatement, VariableDeclaration, Super, SwitchCase, TemplateElement, VariableDeclarator } from 'estree';
export class BaseAttributeWrapper {
    /**
     * @param  parent
     * @param  block
     * @param  node
     */
    constructor(parent: index, block: Block, node: Attribute);
    /** @type {Attribute} */
    node: Attribute;
    /** @type {index} */
    parent: index;
    /** @param {Block} _block */
    render(_block: Block): void;
}
/** @extends BaseAttributeWrapper */
export default class AttributeWrapper extends BaseAttributeWrapper {
    constructor(parent: any, block: any, node: any);
    /** @type {any} */
    metadata: any;
    /** @type {string} */
    name: string;
    /** @type {string} */
    property_name: string;
    /** @type {boolean} */
    is_indirectly_bound_value: boolean;
    /** @type {boolean} */
    is_src: boolean;
    /** @type {boolean} */
    is_select_value_attribute: boolean;
    /** @type {boolean} */
    is_input_value: boolean;
    /** @type {boolean} */
    should_cache: boolean;
    /** @type {Identifier} */
    last: Identifier;
    /**
     * @param  block
     * @param  value
     */
    get_init(block: Block, value: any): any;
    /**
     * @param  block
     * @param  dependency_condition
     */
    get_dom_update_conditions(block: Block, dependency_condition: Node): Node;
    get_dependencies(): string[];
    get_metadata(): {
        property_name?: string;
        applies_to?: string[];
    };
    /** @param {Block} block */
    get_value(block: Block): Property | CatchClause | ClassDeclaration | ClassExpression | ClassBody | ArrayExpression | ArrowFunctionExpression | AssignmentExpression | AwaitExpression | BinaryExpression | SimpleCallExpression | NewExpression | ChainExpression | ConditionalExpression | FunctionExpression | Identifier | ImportExpression | SimpleLiteral | RegExpLiteral | BigIntLiteral | LogicalExpression | MemberExpression | MetaProperty | ObjectExpression | SequenceExpression | TaggedTemplateExpression | TemplateLiteral | ThisExpression | UnaryExpression | UpdateExpression | YieldExpression | FunctionDeclaration | MethodDefinition | ImportDeclaration | ExportNamedDeclaration | ExportDefaultDeclaration | ExportAllDeclaration | ImportSpecifier | ImportDefaultSpecifier | ImportNamespaceSpecifier | ExportSpecifier | ObjectPattern | ArrayPattern | RestElement | AssignmentPattern | PrivateIdentifier | Program | PropertyDefinition | SpreadElement | ExpressionStatement | BlockStatement | StaticBlock | EmptyStatement | DebuggerStatement | WithStatement | ReturnStatement | LabeledStatement | BreakStatement | ContinueStatement | IfStatement | SwitchStatement | ThrowStatement | TryStatement | WhileStatement | DoWhileStatement | ForStatement | ForInStatement | ForOfStatement | VariableDeclaration | Super | SwitchCase | TemplateElement | VariableDeclarator;
    /** @param {Block} block */
    get_class_name_text(block: Block): Property | CatchClause | ClassDeclaration | ClassExpression | ClassBody | ArrayExpression | ArrowFunctionExpression | AssignmentExpression | AwaitExpression | BinaryExpression | SimpleCallExpression | NewExpression | ChainExpression | ConditionalExpression | FunctionExpression | Identifier | ImportExpression | SimpleLiteral | RegExpLiteral | BigIntLiteral | LogicalExpression | MemberExpression | MetaProperty | ObjectExpression | SequenceExpression | TaggedTemplateExpression | TemplateLiteral | ThisExpression | UnaryExpression | UpdateExpression | YieldExpression | FunctionDeclaration | MethodDefinition | ImportDeclaration | ExportNamedDeclaration | ExportDefaultDeclaration | ExportAllDeclaration | ImportSpecifier | ImportDefaultSpecifier | ImportNamespaceSpecifier | ExportSpecifier | ObjectPattern | ArrayPattern | RestElement | AssignmentPattern | PrivateIdentifier | Program | PropertyDefinition | SpreadElement | ExpressionStatement | BlockStatement | StaticBlock | EmptyStatement | DebuggerStatement | WithStatement | ReturnStatement | LabeledStatement | BreakStatement | ContinueStatement | IfStatement | SwitchStatement | ThrowStatement | TryStatement | WhileStatement | DoWhileStatement | ForStatement | ForInStatement | ForOfStatement | VariableDeclaration | Super | SwitchCase | TemplateElement | VariableDeclarator;
    /** @param {Block} block */
    render_chunks(block: Block): (Property | CatchClause | ClassDeclaration | ClassExpression | ClassBody | ArrayExpression | ArrowFunctionExpression | AssignmentExpression | AwaitExpression | BinaryExpression | SimpleCallExpression | NewExpression | ChainExpression | ConditionalExpression | FunctionExpression | Identifier | ImportExpression | SimpleLiteral | RegExpLiteral | BigIntLiteral | LogicalExpression | MemberExpression | MetaProperty | ObjectExpression | SequenceExpression | TaggedTemplateExpression | TemplateLiteral | ThisExpression | UnaryExpression | UpdateExpression | YieldExpression | FunctionDeclaration | MethodDefinition | ImportDeclaration | ExportNamedDeclaration | ExportDefaultDeclaration | ExportAllDeclaration | ImportSpecifier | ImportDefaultSpecifier | ImportNamespaceSpecifier | ExportSpecifier | ObjectPattern | ArrayPattern | RestElement | AssignmentPattern | PrivateIdentifier | Program | PropertyDefinition | SpreadElement | ExpressionStatement | BlockStatement | StaticBlock | EmptyStatement | DebuggerStatement | WithStatement | ReturnStatement | LabeledStatement | BreakStatement | ContinueStatement | IfStatement | SwitchStatement | ThrowStatement | TryStatement | WhileStatement | DoWhileStatement | ForStatement | ForInStatement | ForOfStatement | VariableDeclaration | Super | SwitchCase | TemplateElement | VariableDeclarator)[];
    stringify(): string;
}
