import Block from '../../Block.js';
import Binding from '../../../nodes/Binding.js';
import index from './index.js';
import index from '../InlineComponent/index.js';
import { Node, Identifier } from 'estree';
import { BindingGroup } from '../../Renderer.js';
/** */
export default class BindingWrapper {
    /**
     * @param  block
     * @param  node
     * @param  parent
     */
    constructor(block: Block, node: Binding, parent: index | index);
    /** @type {Binding} */
    node: Binding;
    /** @type {index | index} */
    parent: index | index;
    /** @type {string} */
    object: string;
    /**
     * @type {{
     * 		uses_context: boolean;
     * 		mutation: Node | Node[];
     * 		contextual_dependencies: Set<string>;
     * 		lhs?: Node;
     * 	}}
     */
    handler: {
        uses_context: boolean;
        mutation: Node | Node[];
        contextual_dependencies: Set<string>;
        lhs?: Node;
    };
    /** @type {Node} */
    snippet: Node;
    /** @type {boolean} */
    is_readonly: boolean;
    /** @type {boolean} */
    needs_lock: boolean;
    /** @type {BindingGroup} */
    binding_group: BindingGroup;
    get_dependencies(): Set<string>;
    get_update_dependencies(): Set<any>;
    is_readonly_media_attribute(): boolean;
    /**
     * @param  block
     * @param  lock
     */
    render(block: Block, lock: Identifier): void;
}
