import IfBlock from '../../nodes/IfBlock.js';
import Renderer from '../Renderer.js';
import Block from '../Block.js';
import Wrapper from './shared/Wrapper.js';
import { Identifier, Node } from 'estree';
import ElseBlock from '../../nodes/ElseBlock.js';
import Fragment from './Fragment.js';
/** @extends Wrapper<IfBlock> */
export default class IfBlockWrapper extends Wrapper<IfBlock> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: IfBlock, strip_whitespace: boolean, next_sibling: Wrapper);
    
    /** @type {IfBlockBranch[]} */
    branches: IfBlockBranch[];
    /** */
    needs_update: boolean;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    /**
     * @param  block
     * @param  parent_node
     * @param  _parent_nodes
     * @param  dynamic
     * @param  opts
     * @param  detaching
     */
    render_compound(block: Block, parent_node: Identifier, _parent_nodes: Identifier, dynamic: boolean, { name, anchor, has_else, if_exists_condition, has_transitions }: any, detaching: "detaching"): void;
    /**
     * @param  block
     * @param  parent_node
     * @param  _parent_nodes
     * @param  dynamic
     * @param  opts
     * @param  detaching
     */
    render_compound_with_outros(block: Block, parent_node: Identifier, _parent_nodes: Identifier, dynamic: boolean, { name, anchor, has_else, has_transitions, if_exists_condition }: any, detaching: "detaching"): void;
    /**
     * @param  block
     * @param  parent_node
     * @param  _parent_nodes
     * @param  dynamic
     * @param  opts
     * @param  detaching
     */
    render_simple(block: Block, parent_node: Identifier, _parent_nodes: Identifier, dynamic: boolean, { name, anchor, if_exists_condition, has_transitions }: any, detaching: "detaching"): void;
}
import Wrapper from './shared/Wrapper.js';
/** @extends Wrapper<IfBlock | ElseBlock> */
declare class IfBlockBranch extends Wrapper<ElseBlock | IfBlock> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: IfBlockWrapper, node: IfBlock | ElseBlock, strip_whitespace: boolean, next_sibling: Wrapper);
    /** @type {Block} */
    block: Block;
    /** @type {Fragment} */
    fragment: Fragment;
    /** @type {string[]} */
    dependencies: string[];
    /** @type {any} */
    condition: any;
    /** @type {Node} */
    snippet: Node;
    /** @type {boolean} */
    is_dynamic: boolean;
    /** */
    var: any;
    /** @type {Node | undefined} */
    get_ctx_name: Node | undefined;
}
export {};
