import InlineComponent from '../../../nodes/InlineComponent.js';
import Renderer from '../../Renderer.js';
import Block from '../../Block.js';
import Wrapper from '../shared/Wrapper.js';
import TemplateScope from '../../../nodes/shared/TemplateScope.js';
import { Node, Identifier } from 'estree';
import Fragment from '../Fragment.js';
/** @extends Wrapper<InlineComponent> */
export default class InlineComponentWrapper extends Wrapper<InlineComponent> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: InlineComponent, strip_whitespace: boolean, next_sibling: Wrapper);
    /**
     * @typedef {{
     * 	block: Block;
     * 	scope: TemplateScope;
     * 	get_context?: Node;
     * 	get_changes?: Node;
     * }} SlotDefinition
     */
    /** @type {Map<string, SlotDefinition>} */
    slots: Map<string, {
        block: Block;
        scope: TemplateScope;
        get_context?: Node;
        get_changes?: Node;
    }>;
    /** @type {Fragment} */
    fragment: Fragment;
    /** @type {Array<Wrapper | Fragment>} */
    children: Array<Wrapper | Fragment>;
    var: {
        type: "Identifier";
        name: string;
    };
    /**
     * @param  name
     * @param  slot_definition
     */
    set_slot(name: string, slot_definition: {
        block: Block;
        scope: TemplateScope;
        get_context?: Node;
        get_changes?: Node;
    }): void;
    warn_if_reactive(): void;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    /**
     * @private
     * @param  block
     * @param  parent_node
     * @param  css_custom_properties_wrapper
     */
    private create_css_custom_properties_wrapper_mount_chunk;
    /**
     * @private
     * @param  block
     * @param  parent_nodes
     * @param  css_custom_properties_wrapper
     * @param  css_custom_properties_wrapper_element
     * @param  is_svg_namespace
     */
    private create_css_custom_properties_wrapper_claim_chunk;
    /**
     * @private
     * @param  block
     * @param  css_custom_properties_wrapper
     * @param  css_custom_properties_wrapper_element
     * @param  is_svg_namespace
     */
    private set_css_custom_properties;
}
import Wrapper from '../shared/Wrapper.js';
