import KeyBlock from '../../nodes/KeyBlock.js';
import Renderer from '../Renderer.js';
import Block from '../Block.js';
import Wrapper from './shared/Wrapper.js';
import Fragment from './Fragment.js';
import { Identifier } from 'estree';
/** @extends Wrapper<KeyBlock> */
export default class KeyBlockWrapper extends Wrapper<KeyBlock> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: KeyBlock, strip_whitespace: boolean, next_sibling: Wrapper);
    /** @type {Fragment} */
    fragment: Fragment;
    /** @type {Block} */
    block: Block;
    /** @type {string[]} */
    dependencies: string[];
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    /**
     * @param  _block
     * @param  parent_node
     * @param  parent_nodes
     */
    render_static_key(_block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render_dynamic_key(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
}
import Wrapper from './shared/Wrapper.js';
