import Slot from '../../nodes/Slot.js';
import Renderer from '../Renderer.js';
import Block from '../Block.js';
import Wrapper from './shared/Wrapper.js';
import Fragment from './Fragment.js';
import { Identifier } from 'estree';
/** @extends Wrapper<Slot> */
export default class SlotWrapper extends Wrapper<Slot> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     * @param  strip_whitespace
     * @param  next_sibling
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: Slot, strip_whitespace: boolean, next_sibling: Wrapper);
    /** @type {Fragment} */
    fragment: Fragment;
    /** @type {Block | null} */
    fallback: Block | null;
    /** @type {Block} */
    slot_block: Block;
    /** @type {Set<string>} */
    dependencies: Set<string>;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    render(block: Block, parent_node: Identifier, parent_nodes: Identifier): void;
    /** @param {string} name */
    is_dependency_dynamic(name: string): boolean;
}
import Wrapper from './shared/Wrapper.js';
