import { TemplateNode } from '../../../../interfaces.js';
import Renderer from '../../Renderer.js';
import Block from '../../Block.js';
import { Identifier } from 'estree';
/**
 */
export default class Wrapper<NodeType extends TemplateNode = TemplateNode> {
    /**
     * @param  renderer
     * @param  block
     * @param  parent
     * @param  node
     */
    constructor(renderer: Renderer, block: Block, parent: Wrapper, node: NodeType);
    /** @type {Renderer} */
    renderer: Renderer;
    /** @type {Wrapper} */
    parent: Wrapper;
    /** @type {NodeType} */
    node: NodeType;
    /** @type {Wrapper | null} */
    prev: Wrapper | null;
    /** @type {Wrapper | null} */
    next: Wrapper | null;
    /** @type {Identifier} */
    var: Identifier;
    /**
     * @param  block
     * @param  parent_node
     * @param  parent_nodes
     */
    get_or_create_anchor(block: Block, parent_node: Identifier, parent_nodes: Identifier): Identifier;
    /**
     * @param  anchor
     * @returns 
     */
    get_update_mount_node(anchor: Identifier): Identifier;
    is_dom_node(): boolean;
    /**
     * @param  _block
     * @param  _parent_node
     * @param  _parent_nodes
     * @param  _data
     */
    render(_block: Block, _parent_node: Identifier, _parent_nodes: Identifier, _data?: Record<string, any>): void;
}
