import { Identifier, TemplateLiteral, Expression } from 'estree';
import { AppendTarget } from '../../interfaces.js';
import { INode } from '../nodes/interfaces.js';
import { RenderOptions } from './private.js';
export default class Renderer {
    constructor({ name }: {
        name: any;
    });
    has_bindings: boolean;
    /** @type {Identifier} */
    name: Identifier;
    /** @type {Array<{ current: { value: string }; literal: TemplateLiteral }>} */
    stack: Array<{
        current: {
            value: string;
        };
        literal: TemplateLiteral;
    }>;
    /** @type {{ value: string }} */
    current: {
        value: string;
    };
    /** @type {TemplateLiteral} */
    literal: TemplateLiteral;
    /** @type {AppendTarget[]} */
    targets: AppendTarget[];
    /** @param {string} str */
    add_string(str: string): void;
    /** @param {Expression} node */
    add_expression(node: Expression): void;
    push(): void;
    pop(): TemplateLiteral;
    /**
     * @param  nodes
     * @param  options
     */
    render(nodes: INode[], options: RenderOptions): void;
}
