import { ARIARoleDefinitionKey } from 'aria-query';
import Attribute from '../nodes/Attribute.js';
/**
 * @param  role
 */
export function is_non_interactive_roles(role: ARIARoleDefinitionKey): boolean;
/**
 * @param  role
 */
export function is_interactive_roles(role: ARIARoleDefinitionKey): boolean;
/**
 * @param  role
 */
export function is_abstract_role(role: ARIARoleDefinitionKey): boolean;
/**
 * @param  role
 */
export function is_presentation_role(role: ARIARoleDefinitionKey): boolean;
/**
 * @param  tag_name
 * @param  attribute_map
 */
export function is_hidden_from_screen_reader(tag_name: string, attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  attribute_map
 */
export function has_disabled_attribute(attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  tag_name
 * @param  attribute_map
 * @returns 
 */
export function element_interactivity(tag_name: string, attribute_map: Map<string, Attribute>): {
    readonly Interactive: "interactive";
    readonly NonInteractive: "non-interactive";
    readonly Static: "static";
}[keyof {
    readonly Interactive: "interactive";
    readonly NonInteractive: "non-interactive";
    readonly Static: "static";
}];
/**
 * @param  tag_name
 * @param  attribute_map
 * @returns 
 */
export function is_interactive_element(tag_name: string, attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  tag_name
 * @param  attribute_map
 * @returns 
 */
export function is_non_interactive_element(tag_name: string, attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  tag_name
 * @param  attribute_map
 * @returns 
 */
export function is_static_element(tag_name: string, attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  role
 * @param  tag_name
 * @param  attribute_map
 */
export function is_semantic_role_element(role: ARIARoleDefinitionKey, tag_name: string, attribute_map: Map<string, Attribute>): boolean;
/**
 * @param  autocomplete
 */
export function is_valid_autocomplete(autocomplete: null | true | string): boolean;
export namespace ElementInteractivity {
    const Interactive: "interactive";
    const NonInteractive: "non-interactive";
    const Static: "static";
}
