import Attribute from '../nodes/Attribute.js';
import Element from '../nodes/Element.js';
/**
 * Check if any of a node's attributes are 'contentenditable'.
 * @param  node The element to be checked
 */
export function has_contenteditable_attr(node: Element): boolean;
/**
 * Returns true if node is not textarea or input, but has 'contenteditable' attribute.
 * @param  node The element to be tested
 */
export function is_contenteditable(node: Element): boolean;
/**
 * Returns true if a given binding/node is contenteditable.
 * @param  name A binding or node name to be checked
 */
export function is_name_contenteditable(name: string): boolean;
/**
 * Returns the contenteditable attribute from the node (if it exists).
 * @param  node The element to get the attribute from
 */
export function get_contenteditable_attr(node: Element): Attribute;


export const CONTENTEDITABLE_BINDINGS: string[];
export type Attribute = Attribute;
export type Element = Element;
