import { ComponentType } from './public.js';
/** @returns {void} */
export function bind(component: any, name: any, callback: any): void;
/** @returns {void} */
export function create_component(block: any): void;
/** @returns {void} */
export function claim_component(block: any, parent_nodes: any): void;
/** @returns {void} */
export function mount_component(component: any, target: any, anchor: any): void;
/** @returns {void} */
export function destroy_component(component: any, detaching: any): void;
/** @returns {void} */
export function init(component: any, options: any, instance: any, create_fragment: any, not_equal: any, props: any, append_styles: any, dirty?: number[]): void;
/**
 * @internal
 *
 * Turn a Svelte component into a custom element.
 * @param  Component  A Svelte component constructor
 * @param  props_definition  The props to observe
 * @param  slots  The slots to create
 * @param  accessors  Other accessors besides the ones for props the component has
 * @param  use_shadow_dom  Whether to use shadow DOM
 */
export function create_custom_element(Component: ComponentType, props_definition: Record<string, CustomElementPropDefinition>, slots: string[], accessors: string[], use_shadow_dom: boolean): {
    new (): {
        [x: string]: any;
        $$props_definition: Record<string, CustomElementPropDefinition>;
    };
    [x: string]: any;
    readonly observedAttributes: string[];
};
export let SvelteElement: any;
/**
 * Base class for Svelte components. Used when dev=false.
 *
 * @implements Record<string, any>
 */
export class SvelteComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any> implements Record<string, any> {
    /**
     * ### PRIVATE API
     *
     * Do not use, may change at any time
     *
     * @type {any}
     */
    $$: any;
    /**
     * ### PRIVATE API
     *
     * Do not use, may change at any time
     *
     * @type {any}
     */
    $$set: any;
    /** @returns {void} */
    $destroy(): void;
    /**
     * @param  type
     * @param  callback
     * @returns 
     */
    $on<K extends Extract<keyof Events, string>>(type: K, callback: (e: Events[K]) => void): () => void;
    /**
     * @param  props
     * @returns 
     */
    $set(props: Partial<Props>): void;
    [accessor:string]: any;
}
export type CustomElementPropDefinition = {
    attribute?: string;
    reflect?: boolean;
    type?: 'String' | 'Boolean' | 'Number' | 'Array' | 'Object';
};
