import { Listener } from './private.js';
/**
 * Resize observer singleton.
 * One listener per element only!
 * https://groups.google.com/a/chromium.org/g/blink-dev/c/z6ienONUb5A/m/F5-VcUZtBAAJ
 */
export class ResizeObserverSingleton {
    /** @param {ResizeObserverOptions} options */
    constructor(options: ResizeObserverOptions);
    /**
     * @private
     * @readonly
     * @type {WeakMap<Element, Listener>}
     */
    private readonly _listeners;
    /**
     * @private
     * @type {ResizeObserver}
     */
    private _observer;
    /** @type {ResizeObserverOptions} */
    options: ResizeObserverOptions;
    /**
     * @param  element
     * @param  listener
     * @returns 
     */
    observe(element: Element, listener: Listener): () => void;
    /**
     * @private
     */
    private _getObserver;
}
export namespace ResizeObserverSingleton {
    const entries: WeakMap<object, any>;
}
