
/**
 * @returns 
 */
export function start_hydrating(): void;
/**
 * @returns 
 */
export function end_hydrating(): void;
/**
 * @param  target
 * @param  node
 * @returns 
 */
export function append(target: Node, node: Node): void;
/**
 * @param  target
 * @param  style_sheet_id
 * @param  styles
 * @returns 
 */
export function append_styles(target: Node, style_sheet_id: string, styles: string): void;
/**
 * @param  node
 * @returns 
 */
export function get_root_for_style(node: Node): ShadowRoot | Document;
/**
 * @param  node
 * @returns 
 */
export function append_empty_stylesheet(node: Node): CSSStyleSheet;
/**
 * @param  target
 * @param  node
 * @returns 
 */
export function append_hydration(target: NodeEx, node: NodeEx): void;
/**
 * @param  target
 * @param  node
 * @param  [anchor]
 * @returns 
 */
export function insert(target: Node, node: Node, anchor?: Node): void;
/**
 * @param  target
 * @param  node
 * @param  [anchor]
 * @returns 
 */
export function insert_hydration(target: NodeEx, node: NodeEx, anchor?: NodeEx): void;
/**
 * @param  node
 * @returns 
 */
export function detach(node: Node): void;
/**
 * @returns  */
export function destroy_each(iterations: any, detaching: any): void;
/**
 * @param  name
 * @returns 
 */
export function element<K extends keyof HTMLElementTagNameMap>(name: K): HTMLElementTagNameMap[K];
/**
 * @param  name
 * @param  is
 * @returns 
 */
export function element_is<K extends keyof HTMLElementTagNameMap>(name: K, is: string): HTMLElementTagNameMap[K];
/**
 * @param  obj
 * @param  exclude
 * @returns 
 */
export function object_without_properties<T, K extends keyof T>(obj: T, exclude: K[]): Pick<T, Exclude<keyof T, K>>;
/**
 * @param  name
 * @returns 
 */
export function svg_element<K extends keyof SVGElementTagNameMap>(name: K): SVGElement;
/**
 * @param  data
 * @returns 
 */
export function text(data: string): Text;
/**
 * @returns  */
export function space(): Text;
/**
 * @returns  */
export function empty(): Text;
/**
 * @param  content
 * @returns 
 */
export function comment(content: string): Comment;
/**
 * @param  node
 * @param  event
 * @param  handler
 * @param  [options]
 * @returns 
 */
export function listen(node: EventTarget, event: string, handler: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions | EventListenerOptions): () => void;
/**
 * @returns  */
export function prevent_default(fn: any): (event: any) => any;
/**
 * @returns  */
export function stop_propagation(fn: any): (event: any) => any;
/**
 * @returns  */
export function stop_immediate_propagation(fn: any): (event: any) => any;
/**
 * @returns  */
export function self(fn: any): (event: any) => void;
/**
 * @returns  */
export function trusted(fn: any): (event: any) => void;
/**
 * @param  node
 * @param  attribute
 * @param  [value]
 * @returns 
 */
export function attr(node: Element, attribute: string, value?: string): void;
/**
 * @param  node
 * @param  attributes
 * @returns 
 */
export function set_attributes(node: Element & ElementCSSInlineStyle, attributes: {
    [x: string]: string;
}): void;
/**
 * @param  node
 * @param  attributes
 * @returns 
 */
export function set_svg_attributes(node: Element & ElementCSSInlineStyle, attributes: {
    [x: string]: string;
}): void;
/**
 * @param  data_map
 * @returns 
 */
export function set_custom_element_data_map(node: any, data_map: Record<string, unknown>): void;
/**
 * @returns  */
export function set_custom_element_data(node: any, prop: any, value: any): void;
/**
 * @param  tag
 */
export function set_dynamic_element_data(tag: string): typeof set_custom_element_data_map;
/**
 * @returns 
 */
export function xlink_attr(node: any, attribute: any, value: any): void;
/**
 * @param  node
 * @returns 
 */
export function get_svelte_dataset(node: HTMLElement): string;
/**
 * @returns  */
export function get_binding_group_value(group: any, __value: any, checked: any): unknown[];
/**
 * @param  group
 * @returns 
 */
export function init_binding_group(group: HTMLInputElement[]): {
    p(...inputs: HTMLInputElement[]): void;
    r(): void;
};
/**
 * @param  indexes
 * @returns 
 */
export function init_binding_group_dynamic(group: any, indexes: number[]): {
    u(new_indexes: number[]): void;
    p(...inputs: HTMLInputElement[]): void;
    r: () => void;
};
/**
 * @returns  */
export function to_number(value: any): number;
/**
 * @returns  */
export function time_ranges_to_array(ranges: any): any[];
/**
 * @param  element
 * @returns 
 */
export function children(element: Element): ChildNode[];
/**
 * @param  nodes
 * @param  name
 * @param  attributes
 * @returns 
 */
export function claim_element(nodes: ChildNodeArray, name: string, attributes: {
    [key: string]: boolean;
}): Element | SVGElement;
/**
 * @param  nodes
 * @param  name
 * @param  attributes
 * @returns 
 */
export function claim_svg_element(nodes: ChildNodeArray, name: string, attributes: {
    [key: string]: boolean;
}): Element | SVGElement;
/**
 * @param  nodes
 * @returns 
 */
export function claim_text(nodes: ChildNodeArray, data: any): Text;
/**
 * @returns  */
export function claim_space(nodes: any): Text;
/**
 * @param  nodes
 * @returns 
 */
export function claim_comment(nodes: ChildNodeArray, data: any): Comment;
/**
 * @param  is_svg
 * @returns 
 */
export function claim_html_tag(nodes: any, is_svg: boolean): HtmlTagHydration;
/**
 * @param  text
 * @param  data
 * @returns 
 */
export function set_data(text: Text, data: unknown): void;
/**
 * @param  text
 * @param  data
 * @returns 
 */
export function set_data_contenteditable(text: Text, data: unknown): void;
/**
 * @param  text
 * @param  data
 * @param  attr_value
 * @returns 
 */
export function set_data_maybe_contenteditable(text: Text, data: unknown, attr_value: string): void;
/**
 * @returns  */
export function set_input_value(input: any, value: any): void;
/**
 * @returns  */
export function set_input_type(input: any, type: any): void;
/**
 * @returns  */
export function set_style(node: any, key: any, value: any, important: any): void;
/**
 * @returns  */
export function select_option(select: any, value: any, mounting: any): void;
/**
 * @returns  */
export function select_options(select: any, value: any): void;
export function select_value(select: any): any;
export function select_multiple_value(select: any): any;
/**
 * @returns  */
export function is_crossorigin(): boolean;
/**
 * @param  node
 * @param  fn
 * @returns 
 */
export function add_iframe_resize_listener(node: HTMLElement, fn: () => void): () => void;
/**
 * @returns  */
export function toggle_class(element: any, name: any, toggle: any): void;
/**
 * @param  type
 * @param  [detail]
 * @returns 
 */
export function custom_event<T>(type: string, detail?: T, { bubbles, cancelable }?: {
    bubbles?: boolean;
    cancelable?: boolean;
}): CustomEvent<T>;
/**
 * @param  selector
 * @param  parent
 * @returns 
 */
export function query_selector_all(selector: string, parent?: HTMLElement): ChildNodeArray;
/**
 * @param  nodeId
 * @param  head
 * @returns 
 */
export function head_selector(nodeId: string, head: HTMLElement): any[];
/**
 * @param  attributes
 * @returns 
 */
export function attribute_to_object(attributes: NamedNodeMap): {};
/**
 * @param  element
 * @returns 
 */
export function get_custom_elements_slots(element: HTMLElement): {};
export function construct_svelte_component(component: any, props: any): any;
export const resize_observer_content_box: ResizeObserverSingleton;
export const resize_observer_border_box: ResizeObserverSingleton;
export const resize_observer_device_pixel_content_box: ResizeObserverSingleton;
export { ResizeObserverSingleton };
/** */
export class HtmlTag {
    constructor(is_svg?: boolean);
    /**
     * @private
     * @default false
     */
    private is_svg;
    /** */
    e: any;
    /** */
    n: any;
    /** */
    t: any;
    /** */
    a: any;
    /**
     * @param  html
     * @returns 
     */
    c(html: string): void;
    /**
     * @param  html
     * @param  target
     * @param  anchor
     * @returns 
     */
    m(html: string, target: HTMLElement | SVGElement, anchor?: HTMLElement | SVGElement): void;
    /**
     * @param  html
     * @returns 
     */
    h(html: string): void;
    /**
     * @returns  */
    i(anchor: any): void;
    /**
     * @param  html
     * @returns 
     */
    p(html: string): void;
    /**
     * @returns  */
    d(): void;
}
/**
 * @extends HtmlTag */
export class HtmlTagHydration extends HtmlTag {
    constructor(claimed_nodes: any, is_svg?: boolean);
    /** */
    l: any;
}
export type NodeEx = Node & {
    claim_order?: number;
    hydrate_init?: true;
    actual_end_child?: NodeEx;
    childNodes: NodeListOf<NodeEx>;
};
export type ChildNodeEx = ChildNode & NodeEx;
export type NodeEx2 = NodeEx & {
    claim_order: number;
};
export type ChildNodeArray = ChildNodeEx[] & {
    claim_info?: {
        last_index: number;
        total_claimed: number;
    };
};
import { ResizeObserverSingleton } from './ResizeObserverSingleton.js';
