import { Fragment } from './private.js';
import { TransitionConfig } from '../transition/public.js';
/**
 * @returns  */
export function group_outros(): void;
/**
 * @returns  */
export function check_outros(): void;
/**
 * @param  block
 * @param  [local]
 * @returns 
 */
export function transition_in(block: Fragment, local?: 0 | 1): void;
/**
 * @param  block
 * @param  local
 * @param  detach
 * @returns 
 */
export function transition_out(block: Fragment, local: 0 | 1, detach: 0 | 1, callback: any): void;
/**
 * @param  node
 * @param  fn
 * @param  params
 * @returns 
 */
export function create_in_transition(node: Element & ElementCSSInlineStyle, fn: TransitionFn, params: any): {
    start(): void;
    invalidate(): void;
    end(): void;
};
/**
 * @param  node
 * @param  fn
 * @param  params
 * @returns 
 */
export function create_out_transition(node: Element & ElementCSSInlineStyle, fn: TransitionFn, params: any): {
    end(reset: any): void;
};
/**
 * @param  node
 * @param  fn
 * @param  params
 * @param  intro
 * @returns 
 */
export function create_bidirectional_transition(node: Element & ElementCSSInlineStyle, fn: TransitionFn, params: any, intro: boolean): {
    run(b: 0 | 1): void;
    end(): void;
};
export type INTRO = 1;
export type OUTRO = 0;
export type TransitionOptions = {
    direction: 'in' | 'out' | 'both';
};
export type TransitionFn = (node: Element, params: any, options: TransitionOptions) => TransitionConfig;
export type Outro = {
    r: number;
    c: Function[];
    p: any;
};
export type PendingProgram = {
    start: number;
    b: INTRO | OUTRO;
    group?: Outro;
};
export type Program = {
    a: number;
    b: INTRO | OUTRO;
    d: 1 | -1;
    duration: number;
    start: number;
    end: number;
    group?: Outro;
};
