export * from './public.js';
import { StartStopNotifier, Readable, Writable, Subscriber, Updater, Unsubscriber } from './public.js';
import { Stores } from './private.js';
/**
 * Creates a `Readable` store that allows reading by subscription.
 * @param  value initial value
 * @param  start
 * @returns 
 */
export function readable<T>(value: T, start: StartStopNotifier<T>): Readable<T>;
/**
 * Create a `Writable` store that allows both updating and reading by subscription.
 * @param  value initial value
 * @param  start
 * @returns 
 */
export function writable<T>(value: T, start?: StartStopNotifier<T>): Writable<T>;
export function derived<S extends Stores, T>(stores: S, fn: (values: any, set: Subscriber<T>, update: (fn: Updater<T>) => void) => Unsubscriber | void, initial_value?: T): Readable<T>;
export function derived<S extends Stores, T>(stores: S, fn: (values: any) => T, initial_value?: T): Readable<T>;
/**
 * Takes a store and returns a new one derived from the old one that is readable.
 *
 * @param  store  - store to make readonly
 * @returns 
 */
export function readonly<T>(store: Readable<T>): Readable<T>;
export { get_store_value as get };
import { get_store_value } from '../internal/index.js';
