export * from './public.js';
import { BlurParams, TransitionConfig, FadeParams, FlyParams, SlideParams, ScaleParams, DrawParams, CrossfadeParams } from './public';
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function blur(node: Element, { delay, duration, easing, amount, opacity }?: BlurParams): TransitionConfig;
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function fade(node: Element, { delay, duration, easing }?: FadeParams): TransitionConfig;
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function fly(node: Element, { delay, duration, easing, x, y, opacity }?: FlyParams): TransitionConfig;
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function slide(node: Element, { delay, duration, easing, axis }?: SlideParams): TransitionConfig;
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function scale(node: Element, { delay, duration, easing, start, opacity }?: ScaleParams): TransitionConfig;
/**
 * @param  node
 * @param  [params]
 * @returns 
 */
export function draw(node: SVGElement & {
    getTotalLength(): number;
}, { delay, speed, duration, easing }?: DrawParams): TransitionConfig;
/**
 * @param  params
 * @returns 
 */
export function crossfade({ fallback, ...defaults }: CrossfadeParams & {
    fallback?: (node: Element, params: CrossfadeParams, intro: boolean) => TransitionConfig;
}): [(node: any, params: CrossfadeParams & {
    key: any;
}) => () => TransitionConfig, (node: any, params: CrossfadeParams & {
    key: any;
}) => () => TransitionConfig];
